Unifi NVR issue - 2nd post

Hi all,

I already posted this in ThirdPartyIntegrations section and didn’t get any responses. I posting it here hoping to get more exposure. Apologies if I am breaking any community roles.

Here is the error:

17-03-26 21:01:57 ERROR (MainThread) [homeassistant.components.camera] Error while setting up platform uvc
Traceback (most recent call last):
File “/home/homeassistant/.homeassistant/deps/uvcclient/nvr.py”, line 92, in _uvc_request
return self._uvc_request_safe(*args, **kwargs)
File “/home/homeassistant/.homeassistant/deps/uvcclient/nvr.py”, line 114, in _uvc_request_safe
resp = conn.getresponse()
File “/usr/lib/python3.4/http/client.py”, line 1172, in getresponse
response.begin()
File “/usr/lib/python3.4/http/client.py”, line 351, in begin
version, status, reason = self._read_status()
File “/usr/lib/python3.4/http/client.py”, line 321, in _read_status
raise BadStatusLine(line)
http.client.BadStatusLine: ‘’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.4/site-packages/homeassistant/helpers/entity_component.py”, line 153, in _async_setup_platform
entity_platform.schedule_add_entities, discovery_info
File “/usr/lib/python3.4/asyncio/futures.py”, line 388, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.4/asyncio/tasks.py”, line 286, in _wakeup
value = future.result()
File “/usr/lib/python3.4/asyncio/futures.py”, line 277, in result
raise self._exception
File “/usr/lib/python3.4/concurrent/futures/thread.py”, line 54, in run
result = self.fn(*self.args, **self.kwargs)
File “/srv/homeassistant/lib/python3.4/site-packages/homeassistant/components/camera/uvc.py”, line 40, in setup_platform
nvrconn = nvr.UVCRemote(addr, port, key)
File “/home/homeassistant/.homeassistant/deps/uvcclient/nvr.py”, line 62, in init
self._bootstrap = self._get_bootstrap()
File “/home/homeassistant/.homeassistant/deps/uvcclient/nvr.py”, line 130, in _get_bootstrap
return self._uvc_request(’/api/2.0/bootstrap’)[‘data’][0]
File “/home/homeassistant/.homeassistant/deps/uvcclient/nvr.py”, line 96, in _uvc_request
raise NvrError(‘Error connecting to camera: %s’ % str(ex))
uvcclient.nvr.NvrError: Error connecting to camera: ‘’

Configuration:

################################################################################
# CAMERA
camera:
  - platform: uvc
    nvr: 192.168.1.XXX
    port: 7443
    key: <REDACTED>

HA Version: 0.41

Unifi NVR Version: 3.6.2

What am I doing wrong?

Thanks

@ndng28

This thread might be informative…

I just use mine with generic camera component.

This part in particular…

This is fixed in Home Assistant 0.45.0. The uvc platform now accepts a password parameter.